Return messages matching the parameters

Returns a list of message objects along with a status message and next_page_uri if applicable.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

created_sincestringRequiredformat: "date-time"

Return records that were created after this date. Must be an ISO 8601 UTC timestamp ending with ‘Z’ (e.g., 2024-07-01T00:00:00Z); required for valid API requests.

conversation_idstring or nullOptional

Return records with a conversation_id that matches this id.

page_sizeintegerOptional100-10000Defaults to 10000
Number of records to return in response. The maximum and default is 10000, the minimum is 100.
created_tostring or nullOptionalformat: "date-time"

Return records that were created earlier than this date. If not specified, this value defaults to 7 days after created_since. Must be an ISO 8601 UTC timestamp ending with ‘Z’ (e.g., 2024-07-01T00:00:00Z); required for valid API requests.

Response

Ada successfully processed the request.
datalist of objects
Records returned from the query
messagestring
Request status message
next_page_uristring
Relative link to the next page of results matching the query

Errors

400
Bad Request Error
408
Request Timeout Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
502
Bad Gateway Error
503
Service Unavailable Error
504
Gateway Timeout Error